Modify

#357 closed defect (moreinfo)

character coding mistakes

Reported by: abydos@… Owned by:
Priority: normal Milestone:
Component: BitlBee Version: 1.0.4
Keywords: Character, coding Cc:
IRC client+version: mIRC 6.2+nnscript Operating System: Public server
OS version/distro: Linux/i686

Description

I have dicovered this tiny problem. I'm using UTF8 character coding with my client and i have to set the SERVER's charset to iso8859-2 to see my foks my typing normally. Everything is fine with chatting until i start (or they start) a group chat conversation. In gourpchat they can read my accentuated letters, if i set the server to encode with utf8 they can read it perfectly, but then the privat chats getting wrong. So this is the my dilemma, there is not a charset that works both way.

I would be pleased if you can fix it. Thanks for it and everything thats been done!

Attachments (0)

Change History (9)

comment:1 Changed at 2008-02-06T19:36:43Z by abydos

Sry i made a mistake: In gourpchat they can read my accentuated letters -> In gourpchat they can not read my accentuated letters

comment:2 Changed at 2008-02-10T15:30:41Z by wilmer

Are you talking about OSCAR (AIM/ICQ) chatrooms here?

comment:3 Changed at 2008-02-10T15:33:10Z by wilmer

By the way, I'm getting the impression that your IRC client and BitlBee don't agree about the charset used.

What do you get when you type "help set charset" in &bitlbee? And is that exactly the same charset as sent and expected by your IRC client?

comment:4 Changed at 2008-02-15T23:00:54Z by abydos

im using mirc with utf8 encoding and:

(@xyz) help set charset (@root) Type: string (@root) Default: iso8859-1 (@root) Possible Values: you can get a list of all possible values by doing 'iconv -l' in a shell (@root) (@root) The charset setting enables you to use different character sets in BitlBee. These get converted to UTF-8 before sending and from UTF-8 when receiving. (@root) (@root) If you don't know what's the best value for this, at least iso8859-1 is the best choice for most Western countries. You can try to find what works best for you on http://czyborra.com/charsets/iso8859.html (@xyz) set charset (@root) charset = `iso8859-2'

i was talking about MSN chat and groupchat and private chat. If i use utf8 (mirc) and set the server to iso2 my buddies can read my messages in privat chat, if they invite me (or i invite them) they cant read until i change the encoding on the server back to iso1.

comment:5 Changed at 2008-02-16T13:31:38Z by wilmer

Oh, hmm, I see you're on 1.0. Can you try to connect to a server that runs something like 1.1.x/devel stuff? testing.bitlbee.org, for example? Charset handling improved a lot in newer versions, so hopefully your problem will be gone there already.

When connecting to testing, it's important that your mIRC and BitlBee are both set to use utf-8.

comment:6 Changed at 2008-02-17T15:57:53Z by abydos

Same probleme: After connected to testing.bitlbee.org the following message welcomed me:

(@root) Error: Charset mismatch detected. The charset setting is currently set to utf-8, so please make sure your IRC client will send and accept text in that charset, or tell BitlBee which charset to expect by changing the charset setting. See `help set charset' for more information. Your message was ignored.

I tried to send a message to my another account (logged in with MSN live, at another pc) but the server denied. So i gave the order: set charset iso8859-2

Then the error message was gone. Chatting was fine. Everything is readable. But groupchat still does not working. If i send something the characters does not appear like as they should. For example if i send "árvíztűrő tükörfúrógép ÁRVÍZTŰRŐ TÜKÖRFÚRÓGÉP" from bitlbee to MSN live it looks like: "ĂĄrvĂ­ztĹąrő tĂźkĂśrfĂşrĂłgĂŠp ÁRVÍZTĹ°RŐ TÜKÖRFÚRÓGÉP"

From MSN to bitlbee: "árvíztűrő tükörfúrógép ÁRVÍZTŰRŐ TÜKÖRFÚRÓGÉP" looks "árvíztűrő tükörfúrógép ÁRVÍZTŰRŐ TÜKÖRFÚRÓGÉP"

I set back the encoding to utf-8, then the server closed the groupchat and the error came back.

comment:7 Changed at 2008-03-15T23:08:46Z by wilmer

Ehm... As far as I understand you had BitlBee set to iso8859-1/-2 while mIRC is set to utf-8, is that right? These settings should match, it's probably best to set BitlBee's charset setting to utf-8. That way, there really shouldn't be any charset issues at least with MSN.

Also, it looks like your mIRC isn't really set to utf-8, since that message showed up on testing.bitlbee.org.

comment:8 Changed at 2008-04-05T12:42:39Z by wilmer

Resolution: moreinfo
Status: newclosed

I guess the problem went away or something...

comment:9 Changed at 2008-11-20T01:16:20Z by anonymous

I appear to have this same problem.

12:09 <@grey> set charset
12:09 <@root> charset = `UTF-8'

irssi is using utf-8, screen is using utf-8, for private one-on-one chats I get unicode just fine, but in a groupchat (in my case AIM groupchat) when people typing utf-8 it looks like they're typing blank lines. Any ideas?

I can't seem to reopen this ticket either, not appropriate perms (and I appear to have forgotten my trac l/p d'oh!)

-grey -grey

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.